Name:           gctpc
Version:        2.0
Release:        1%{?dist}
Summary:        General Cartographic Transformation Package

License:        Public Domain
URL:            http://edcftp.cr.usgs.gov/pub/software/gctpc/
Source0:        http://edcftp.cr.usgs.gov/pub/software/gctpc/gctpc20.tar.Z
# Remove sincos() function definition that conlicts
Patch0:         gctpc-sincos.patch
Patch1:         gctpc-close.patch
# Fix printf/scanf format stirngs
Patch2:         gctpc-format.patch
# For tests
BuildRequires:  /bin/csh

%description
The General Cartographic Transformation Package (GCTP) is a system of
software routines designed to permit the transformation of coordinate
pairs from one map projection to another.  The GCTP is the standard
computer software used by the National Mapping Division for map
projection computations.  


%package        devel
Summary:        Development files for %{name}
Provides:       %{name}-static = %{version}-%{release}
Provides:       %{name}-static%{?_isa} = %{version}-%{release}

%description    devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.


%prep
%setup -q -n %{name}
%patch0 -p1 -b .sincos
%patch1 -p1 -b .close
%patch2 -p1 -b .format


%build
cd source
# Define _GNU_SOURCE for sincos
export CFLAGS="-D_GNU_SOURCE %{optflags}"
make


%install
cd source
mkdir -p %{buildroot}%{_includedir}/%{name}
cp -p *.h %{buildroot}%{_includedir}/%{name}
mkdir -p %{buildroot}%{_libdir}
cp -p geolib.a %{buildroot}%{_libdir}/


%check
export LIBGCTP=${PWD}/source
cd test/test_proj
make CFLAGS="%{optflags}" SRCGCTP=../../source
cd ../proj
export PATH=.:$PATH
export CMPGCTP=../../test_proj
./Proj.name


%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig


%files devel
%doc announce.txt README doc
%{_includedir}/%{name}
%{_libdir}/geolib.a


%changelog
* Fri Apr 4 2014 Orion Poplawski <orion@cora.nwra.com> - 2.0-1
- Initial package
